it.csi.mddtools.guigen

## Interface TextArea

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget

      public interface TextArea
      extends DataWidget

  A representation of the model object 'Text Area'. Campo di immissione testo multilinea.

  The following features are supported:

  - `Rows`
  - `Columns`
  See Also:
    `GuigenPackage.getTextArea()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumns()` Returns the value of the 'Columns' attribute.
    `int` | `getRows()` Returns the value of the 'Rows' attribute.
    `void` | `setColumns(int value)` Sets the value of the '`Columns`' attribute
    `void` | `setRows(int value)` Sets the value of the '`Rows`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRows

          int getRows()

      Returns the value of the 'Rows' attribute. The default value is `"10"`.

      If the meaning of the 'Rows' attribute isn't clear, there really should be more of a description here...

      Dimensione in righe dell'area di input. Se nell'input si supera il numero di righe specificate appare una scrollbar verticale.
      Returns:
        the value of the 'Rows' attribute.
      See Also:
        `setRows(int)`, `GuigenPackage.getTextArea_Rows()`

    - #### setRows

          void setRows(int value)

      Sets the value of the '`Rows`' attribute.
      Parameters:
        `value` - the new value of the 'Rows' attribute.
      See Also:
        `getRows()`

    - #### getColumns

          int getColumns()

      Returns the value of the 'Columns' attribute. The default value is `"30"`.

      If the meaning of the 'Columns' attribute isn't clear, there really should be more of a description here...

      Dimensione in colonne dell'area di input. Se nell'input si supera il numero di colonne specificate appare una scrollbar orizzontale.
      Returns:
        the value of the 'Columns' attribute.
      See Also:
        `setColumns(int)`, `GuigenPackage.getTextArea_Columns()`

    - #### setColumns

          void setColumns(int value)

      Sets the value of the '`Columns`' attribute.
      Parameters:
        `value` - the new value of the 'Columns' attribute.
      See Also:
        `getColumns()`